%define name gcu
%define version	0.1.2
%define release	2mdk

%define major 0
%define libname lib%name%major

Summary: Backend for Gnome chemistry apps.
Name: %name
Version: %version
Release: %release
License: GPL
Group: Sciences/Chemistry
Source: gnome-chemistry-utils-%version.tar.bz2
Patch: %name.patch.bz2
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.nongnu.org/gchemutils
BuildRequires: gettext pkgconfig
BuildRequires: libglade2.0_0-devel libgnomeprint2-2_0-devel libgtkglarea2.0-devel

%description
The Gnome Chemistry Utils provide C++ classes and GTK2 widgets related to
chemistry.  They are currently used in Gnome Crystal (gcrystal) and Gnome
Chemistry Paint (gchempaint).

%package -n %libname
Summary:	Main libraries for %name.
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %name.                                                                                                                            

%package -n %{libname}-devel
Summary:        Development tools for programs which will use the %libname library.
Group:          Development/C++
Requires:       %{libname} = %{version}
Provides:       %{name}-devel = %{version}-%{release}
Provides:       lib%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
The %{libname}-devel package includes the header files and static libraries
necessary for developing programs using the %{libname} library.

If you are going to develop programs which will use this library
you should install %{libname}-devel.  You'll also need to have the %libname
package installed.

%prep
%setup -q -n gnome-chemistry-utils-%version

%patch0 -p1
perl -p -i -e 's/libgnomeprint\-2.0/libgnomeprint\-2.2/g' configure

%configure --disable-rpath

%build
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

%find_lang gnome-chemistry-utils

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -n %libname -f gnome-chemistry-utils.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README
%_libdir/*.so.*
%_datadir/gchemutils/*

%files -n %libname-devel
%defattr(-, root, root)
%_includedir/%name
%_libdir/*.so
%_libdir/*.la
%_libdir/pkgconfig/*.pc

%ChangeLog
* Fri Jan 03 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.1.2-2mdk
- use find_lang macro
- fix files section
- from Austin Acton <aacton@yorku.ca> :
	- add patch for libgnomeprint2.2 problems

* Sat Dec 7 2002 Austin Acton <aacton@yorku.ca> 0.1.2-1mdk
- initial package

